/// <reference types="react" />
import React from 'react';
import { IPopupStyle } from './style/index.native';
import PopupProps from './PropsType';
export interface IPopupNativeProps extends PopupProps {
    styles?: IPopupStyle;
}
export default class PopupContainer extends React.Component<PopupProps, any> {
    static defaultProps: {
        styles: any;
    };
    constructor(props: any);
    hide(): void;
    onMaskClose: () => void;
    render(): JSX.Element;
}
